apiVersion: v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "1"
      deployment.kubernetes.io/revision: "1"
    creationTimestamp: "2023-05-09T14:25:06Z"
    generation: 1
    labels:
      control-plane: controller-manager
      controller-tools.k8s.io: "1.0"
      pod-template-hash: 76bb4648f7
    name: hive-controllers-76bb4648f7
    namespace: hive
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: hive-controllers
      uid: b07cd916-da2e-4254-bb56-74706275781f
    resourceVersion: "788"
    uid: a97db500-21df-4e88-adf7-a5cb4f9ac46c
  spec:
    replicas: 1
    selector:
      matchLabels:
        control-plane: controller-manager
        controller-tools.k8s.io: "1.0"
        pod-template-hash: 76bb4648f7
    template:
      metadata:
        annotations:
          hive.openshift.io/hiveconfig-hash: a09d0d44e84306e62d88305648054035
        creationTimestamp: null
        labels:
          control-plane: controller-manager
          controller-tools.k8s.io: "1.0"
          pod-template-hash: 76bb4648f7
      spec:
        containers:
        - args:
          - --disabled-controllers
          - clustersync
          - --log-level
          - debug
          command:
          - /opt/services/manager
          env:
          - name: CLI_CACHE_DIR
            value: /var/cache/kubectl
          - name: HIVE_NS
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          - name: HIVE_IMAGE
            value: quay.io/2uasimojo/hive:2210-dummy-cabundle
          - name: HIVE_IMAGE_PULL_POLICY
            value: Always
          - name: MANAGED_DOMAINS_FILE
            value: /data/config/managed-domains
          - name: AWS_PRIVATELINK_CONTROLLER_CONFIG_FILE
            value: /data/aws-private-link-config/aws-private-link
          - name: FAILED_PROVISION_CONFIG_FILE
            value: /data/failed-provision-config/hive-failed-provision-config
          - name: METRICS_CONFIG_FILE
            value: /data/metrics-config/hive-metrics-config
          envFrom:
          - configMapRef:
              name: hive-controllers-config
          image: quay.io/2uasimojo/hive:2210-dummy-cabundle
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: manager
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /readyz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources:
            requests:
              cpu: 50m
              memory: 512Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/cache/kubectl
            name: kubectl-cache
          - mountPath: /data/config
            name: hive-managed-domains
          - mountPath: /data/aws-private-link-config
            name: aws-private-link
          - mountPath: /data/failed-provision-config
            name: hive-failed-provision-config
          - mountPath: /data/metrics-config
            name: hive-metrics-config
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: hive-controllers
        serviceAccountName: hive-controllers
        terminationGracePeriodSeconds: 10
        volumes:
        - emptyDir: {}
          name: kubectl-cache
        - configMap:
            defaultMode: 420
            name: hive-managed-domains
          name: hive-managed-domains
        - configMap:
            defaultMode: 420
            name: aws-private-link
            optional: true
          name: aws-private-link
        - configMap:
            defaultMode: 420
            name: hive-failed-provision-config
            optional: true
          name: hive-failed-provision-config
        - configMap:
            defaultMode: 420
            name: hive-metrics-config
            optional: true
          name: hive-metrics-config
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "1"
      deployment.kubernetes.io/revision: "1"
    creationTimestamp: "2023-05-09T14:24:13Z"
    generation: 1
    labels:
      control-plane: hive-operator
      controller-tools.k8s.io: "1.0"
      pod-template-hash: 565788585d
    name: hive-operator-565788585d
    namespace: hive
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: hive-operator
      uid: 3225e518-e235-4ac9-982d-cb58d7c07cad
    resourceVersion: "713"
    uid: e3ef8276-d8dd-49fd-a8ad-e1b56ab4bf82
  spec:
    replicas: 1
    selector:
      matchLabels:
        control-plane: hive-operator
        controller-tools.k8s.io: "1.0"
        pod-template-hash: 565788585d
    template:
      metadata:
        creationTimestamp: null
        labels:
          control-plane: hive-operator
          controller-tools.k8s.io: "1.0"
          pod-template-hash: 565788585d
      spec:
        containers:
        - command:
          - /opt/services/hive-operator
          - --log-level
          - debug
          env:
          - name: CLI_CACHE_DIR
            value: /var/cache/kubectl
          - name: HIVE_OPERATOR_NS
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          image: quay.io/2uasimojo/hive:2210-dummy-cabundle
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: hive-operator
          ports:
          - containerPort: 2112
            name: metrics
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /readyz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/cache/kubectl
            name: kubectl-cache
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: hive-operator
        serviceAccountName: hive-operator
        terminationGracePeriodSeconds: 10
        volumes:
        - emptyDir: {}
          name: kubectl-cache
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: List
metadata:
  resourceVersion: ""
